<% local form, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<% if #form.value>0 then %>
<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#listtables").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
	});
</script>
<% end %>

<% htmlviewfunctions.displaycommandresults({"createdatabase"}, session) %>

<% local header_level = htmlviewfunctions.displaysectionstart(form, page_info) %>
<% htmlviewfunctions.displayinfo(form) %>
<% if #form.value>0 then %>
<table id="listtables" class="tablesorter"><thead>
        <tr>
		<th>Action</th>
		<th>Table</th>
	</tr>
</thead><tbody>
<% local table = cfe({ type="hidden" }) %>
<% for i,tab in ipairs(form.value) do %>
	<% table.value = tab %>
	<tr>
		<td>
		<% if viewlibrary.check_permission("viewtable") then %>
			<% htmlviewfunctions.displayitem(cfe({type="link", value={table=table}, label="", option="View", action="viewtable"}), page_info, -1) %>
		<% end %>
		</td>
		<td><%= html.html_escape(tab) %></td>
	</tr>
<% end %>
</tbody></table>
<% elseif viewlibrary.check_permission("createdatabase") then %>
	<% htmlviewfunctions.displayitem(cfe({type="form", value={}, label="Create Database", option="Create", action="createdatabase" }), page_info, 0) %>
<% else %>
<p>No tables found</p>
<% end %>
<% htmlviewfunctions.displaysectionend(header_level) %>
